सामग्री पर जाएँ

Omnilottie · Image to Lottie

इंटीग्रेट करें

मॉडल id omnilottie/image-to-lottie
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/omnilottie/image-to-lottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.10 100 API क्रेडिट · ≈ ₽10.76 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Open model अन्य #lotties

टेक्स्ट प्रॉम्प्ट के मार्गदर्शन में संदर्भ इमेज को Lottie JSON फ़ाइल में एनिमेट करता है

Open model · फ़ाइल

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 2000

इमेज को एनीमेट करने का तरीका बताने वाला टेक्स्ट।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

एनीमेशन के लिए संदर्भ इमेज URL।

उन्नत max_tokens · temperature · top_p · top_k
डिफ़ॉल्ट 4096

निर्मित Lottie टोकन की ऊपरी सीमा।

डिफ़ॉल्ट 0.9

निर्माण के दौरान सैंपलिंग के लिए उपयोग किया जाने वाला तापमान।

डिफ़ॉल्ट 0.25

न्यूक्लियस सैंपलिंग के लिए प्रायिकता कटऑफ़।

डिफ़ॉल्ट 5

टॉप-k सैंपलिंग की सेटिंग।

POST /run/omnilottie/image-to-lottie?wait=20 कोटेशन → $0.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/omnilottie/image-to-lottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Omnilottie · Image to Lottie के बारे में

`image_url` के माध्यम से संदर्भ चित्र और वांछित गति का वर्णन करने वाला अधिकतम 2,000 वर्णों का `prompt` लेता है, फिर JSON फ़ाइल के रूप में Lottie एनीमेशन बनाता है। आउटपुट लंबाई `max_tokens` (256 से 8192) द्वारा सीमित होती है और सैंपलिंग को `temperature`, `top_p` और `top_k` से समायोजित किया जाता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 2,000 अक्षर
इमेज को एनीमेट करने का तरीका बताने वाला टेक्स्ट।
image_urlआवश्यक image
प्रकारurl · image
एनीमेशन के लिए संदर्भ इमेज URL।
max_tokensवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट4096
256 – 8,192
निर्मित Lottie टोकन की ऊपरी सीमा।
temperatureवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.9
0 – 2
निर्माण के दौरान सैंपलिंग के लिए उपयोग किया जाने वाला तापमान।
top_pवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.25
0 – 1
न्यूक्लियस सैंपलिंग के लिए प्रायिकता कटऑफ़।
top_kवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट5
1 – 100
टॉप-k सैंपलिंग की सेटिंग।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "omnilottie/image-to-lottie",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "lottie_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
lottie_file
object {url, content_type, file_name, file_size}निर्मित Lottie एनीमेशन वाली JSON फ़ाइल।

और मॉडल: अन्य

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/omnilottie/image-to-lottie.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt